# $Revision: 1.25 $, $Date: 2005/06/05 18:39:09 $
Summary:	Oxyd clone
Summary(pl):	Klon gry Oxyd
Name:		enigma
Version:	0.92
Release:	1
License:	GPL
Group:		X11/Applications/Games
Source0:	http://savannah.nongnu.org/download/enigma/%{name}-%{version}.tar.gz
# Source0-md5:	b33d8fad75910c9a525f4382f5185f75
Source1:	%{name}.desktop
URL:		http://www.nongnu.org/enigma/
BuildRequires:	SDL_image-devel >= 1.2.0
BuildRequires:	SDL_mixer-devel >= 1.2.0
BuildRequires:	SDL_ttf-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Enigma is a puzzle game inspired by Oxyd on the Atari ST and
Rock'n'Roll on the Amiga: You control a small black marble and have to
find and uncover all pairs of identical Oxyd stones in each landscape.
Sounds simple? It would be, if it weren't for hidden traps, vast
mazes, insurmountable obstacles and lots of hairy puzzles, blocking
your direct way to the Oxyd stones...

%description -l de
Bei Enigma handelt es sich um ein Remake des 1990 erschienen
Spiele-Klassikers Oxyd. Das Ziel des Spiels ist schnell erklrt:
Versuchen Sie alle gleichfarbigen "Oxyd"-Steine in jeder Landschaft zu
finden und aufzudecken. Hrt sich einfach an? Wre es vielleicht auch,
wrden nicht versteckte Fallen, gewaltige Irrgrten, scheinbar
unberwindliche Hindernisse und viele, viele Rtsel den direkten Weg zu
den Steinen blockieren...

%description -l pl
Enigma jest gr logiczn zainspirowan przez Oxyd z Atari ST i
Rock'n'Roll z Amigi. Kontroluje si ma czarn kulk majc za zadanie
odnale i odkry wszystkie pary identycznych kamieni Oxyd na kadej
planszy. Proste? Byo by, gdyby nie ukryte puapki, przepastne
labirynty, niepokonane przeszkody i mnstwo wochatych zagadek
blokujcych drog do kamieni Oxyd.

%prep
%setup -q

# hack: don't rebuild it, requires too new(?) version of texi2html
# (doesn't work with texi2html 1.56k from tetex 2.0.2)
touch doc/manual/*.html

%build
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/enigma/{fonts,sound,gfx{,32,40,48},levels/{Sokoban,m_tutor,patches},thumbs},%{_bindir},%{_mandir}/man6,%{_pixmapsdir},%{_desktopdir}}
 
install doc/enigma.6			$RPM_BUILD_ROOT%{_mandir}/man6
install src/enigma			$RPM_BUILD_ROOT%{_bindir}
install data/fonts/*.{png,bmf,ttf}	$RPM_BUILD_ROOT%{_datadir}/enigma/fonts
install data/gfx/*.png			$RPM_BUILD_ROOT%{_datadir}/enigma/gfx
install data/gfx32/*.{png,jpg}		$RPM_BUILD_ROOT%{_datadir}/enigma/gfx32
install data/gfx40/*.{png,jpg}		$RPM_BUILD_ROOT%{_datadir}/enigma/gfx40
install data/gfx48/*.{png,jpg}		$RPM_BUILD_ROOT%{_datadir}/enigma/gfx48
install data/levels/*.{lua,png,txt,xml}	$RPM_BUILD_ROOT%{_datadir}/enigma/levels
install data/levels/Sokoban/*.{lua,png,txt}	$RPM_BUILD_ROOT%{_datadir}/enigma/levels/Sokoban
install data/levels/m_tutor/*.{lua,png,txt}	$RPM_BUILD_ROOT%{_datadir}/enigma/levels/m_tutor
install data/levels/patches/*.lua	$RPM_BUILD_ROOT%{_datadir}/enigma/levels/patches
install data/sound/*.{wav,s3m}		$RPM_BUILD_ROOT%{_datadir}/enigma/sound
install data/*.lua			$RPM_BUILD_ROOT%{_datadir}/enigma

install %{SOURCE1}			$RPM_BUILD_ROOT%{_desktopdir}
install data/gfx/enigma_marble.png	$RPM_BUILD_ROOT%{_pixmapsdir}/enigma.png

rm -f doc/manual/{images,}/Makefile*
rm -f doc/manual/enigma.texi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog.tla CHANGES NEWS README doc/{TODO,functions.*,manual}
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man6/*
%{_pixmapsdir}/*
%{_desktopdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: enigma.spec,v $
Revision 1.25  2005/06/05 18:39:09  qboosh
- updated to 0.92, updated URL

Revision 1.24  2005/05/31 16:52:48  wolf
- 0.91

Revision 1.23  2005/05/31 15:37:28  zbyniu
- BR: gettext-devel, libstdc++-devel

Revision 1.22  2005/01/29 10:58:59  wolf
- 0.90 rc1

Revision 1.21  2004/11/07 01:22:04  wolf
- 0.90 beta

Revision 1.20  2004/03/28 17:06:23  wolf
- includes lua in package

Revision 1.19  2003/12/10 15:14:51  grzegol
- _applnkdir -> _desktopdir; rel. 2

Revision 1.18  2003/11/11 01:12:29  ankry
- caps unification

Revision 1.17  2003/10/14 18:07:54  wolf
- 0.81

Revision 1.16  2003/10/14 16:13:47  wolf
- 0.80

Revision 1.15  2003/10/08 21:43:28  wolf
- 0.80rc1

Revision 1.14  2003/09/30 13:19:48  grzegol
- rel. 0.beta.1
- added BR: SDL_ttf-devel
- removed trash from manual dir

Revision 1.13  2003/09/16 23:20:34  wolf
- 0.80 beta
- todo: remove thrash from manual dir

Revision 1.12  2003/05/26 16:24:56  malekith
- massive attack: adding Source-md5

Revision 1.11  2003/05/25 05:47:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/02/16 22:16:06  wolf
- 0.70

Revision 1.9  2003/01/18 22:46:45  juandon
- removed two lines with define

Revision 1.8  2002/12/25 16:40:38  wolf
- de description by Daniel Heck (http://mail.gnu.org/pipermail/enigma-devel/2002-December/000180.html)

Revision 1.7  2002/12/25 16:37:25  wolf
- 0.60

Revision 1.6  2002/11/01 13:19:12  malekith
- s/lua-devel/lua40-devel/; release 2

Revision 1.5  2002/10/09 13:14:20  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.4  2002/08/15 12:36:34  wolf
- 0.50

Revision 1.3  2002/08/14 14:52:09  wolf
- 0.50 rc1
STBR

Revision 1.2  2002/07/31 12:36:42  kloczek
- remove redundant entry for SDL-devel from BuildRequires.

Revision 1.1  2002/06/08 10:44:56  wolf
- initial release, STBR
